Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editors
Class APEditor

    java.lang.Object
      |
      +--org.eclipse.ui.part.WorkbenchPart
            |
            +--org.eclipse.ui.part.EditorPart
                  |
                  +--org.eclipse.gef.ui.parts.GraphicalEditor
                        |
                        +--org.eclipse.gef.ui.parts.GraphicalEditorWithPalette
                              |
                              +--APStudio.editors.APEditor

All Implemented Interfaces:
  org.eclipse.gef.commands.CommandStackListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorPart, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.ISaveablePart, org.eclipse.ui.ISelectionListener, org.eclipse.ui.IWorkbenchPart

public class APEditor
extends org.eclipse.gef.ui.parts.GraphicalEditorWithPalette

Author:
  rajags To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Field Summary

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`APEditor()`

Method Summary
`void` | `commandStackChanged(java.util.EventObject event)`
`void` | `dispose()`
`void` | `doSave(org.eclipse.core.runtime.IProgressMonitor monitor)`
`void` | `doSaveAs()`
`java.lang.Object` | `getAdapter(java.lang.Class type)`
`void` | `gotoMarker(org.eclipse.core.resources.IMarker marker)`
`boolean` | `isDirty()`
`boolean` | `isSaveAsAllowed()`
`boolean` | `isSaveOnCloseNeeded()`
`void` | `setClassGraphModel(ClassGraphModel diagram)`
`void` | `setInput(org.eclipse.ui.IEditorInput input)`

Methods inherited from class org.eclipse.gef.ui.parts.GraphicalEditorWithPalette
`createPartControl`

Methods inherited from class org.eclipse.gef.ui.parts.GraphicalEditor
`init, selectionChanged, setFocus`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener, setInitializationData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

Constructor Detail

### APEditor

    public APEditor()

Method Detail

### doSave

    public void doSave(org.eclipse.core.runtime.IProgressMonitor monitor)

  Specified by:
    `doSave` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSave` in class `org.eclipse.ui.part.EditorPart`

### doSaveAs

    public void doSaveAs()

  Specified by:
    `doSaveAs` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSaveAs` in class `org.eclipse.ui.part.EditorPart`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class type)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.gef.ui.parts.GraphicalEditor`

### commandStackChanged

    public void commandStackChanged(java.util.EventObject event)

  Specified by:
    `commandStackChanged` in interface `org.eclipse.gef.commands.CommandStackListener`
  Overrides:
    `commandStackChanged` in class `org.eclipse.gef.ui.parts.GraphicalEditor`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.gef.ui.parts.GraphicalEditor`

### gotoMarker

    public void gotoMarker(org.eclipse.core.resources.IMarker marker)

  Specified by:
    `gotoMarker` in interface `org.eclipse.ui.IEditorPart`
  Specified by:
    `gotoMarker` in class `org.eclipse.ui.part.EditorPart`

### isDirty

    public boolean isDirty()

  Specified by:
    `isDirty` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `isDirty` in class `org.eclipse.ui.part.EditorPart`

### isSaveOnCloseNeeded

    public boolean isSaveOnCloseNeeded()

  Specified by:
    `isSaveOnCloseNeeded` in interface `org.eclipse.ui.ISaveablePart`
  Overrides:
    `isSaveOnCloseNeeded` in class `org.eclipse.ui.part.EditorPart`

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Specified by:
    `isSaveAsAllowed` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `isSaveAsAllowed` in class `org.eclipse.ui.part.EditorPart`

### setInput

    public void setInput(org.eclipse.ui.IEditorInput input)

  Overrides:
    `setInput` in class `org.eclipse.ui.part.EditorPart`

### setClassGraphModel

    public void setClassGraphModel(ClassGraphModel diagram)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD